// 组合省市区街道展示
function showLocation(value) {
  var villageName = value.villageName ? '/' + value.villageName : '';
  // return value.provName + '/' + value.cityName + '/' + value.areaName + '/' + value.roadName + villageName;
  return value.cityName + '/' + value.areaName + '/' + value.roadName + villageName;
}
// 判断文件类型
function fileType(value) {
  var obj = {
    '22_00017-0': '未分类',
    '22_00017-1': '音频',
    '22_00017-2': '视频',
    '22_00017-3': '图片',
    '22_00017-4': 'Word文档',
    '22_00017-5': 'Excel文档',
    '22_00017-6': 'PDF文件',
    '22_00017-7': 'txt文本',
    '22_00017-8': '压缩文件',
    '22_00017-9': 'PPT文件',
    '22_00017-99': '其它文件',
  };
  return obj[value];
}
// 字符串转变数组
function strArr(value) {
  if (!value) {
    return ['无'];
  }
  var arr = value.split(',');
  return arr;
}

function highlightText(name, keyword) {

}


// 搜索后头部的高亮显示
function searchTitle(strTitle, searchValue) {
  if (!searchValue) {
    return ['', strTitle, ''];
  } else {
    let index = searchValue ? strTitle.indexOf(searchValue) : -2;
    let beforeStr = searchValue ? strTitle.substring(0, index) : '';
    let afterStr = index > -1 ? strTitle.slice(index + searchValue.length) : -1;
    return [beforeStr, searchValue, afterStr];
  }
}

module.exports = {
  showLocation: showLocation,
  fileType: fileType,
  strArr: strArr,
  searchTitle: searchTitle
};